### Method

# WebKit WebView get_camera_capture_state

since: 2.34

#### Declaration [src]

    WebKitMediaCaptureState
    webkit_web_view_get_camera_capture_state (
      WebKitWebView* web_view
    )

#### Description [src]

Get the camera capture state of a `WebKitWebView`.

Available since: 2.34

Gets property | `WebKit.WebView:camera-capture-state`

#### Return value

Type: `WebKitMediaCaptureState`

The `WebKitMediaCaptureState` of the camera device. If `WebKitSettings:enable-mediastream` is `FALSE`, this method will return `WEBKIT_MEDIA_CAPTURE_STATE_NONE`.